voa-list(1)

NAME
voa-list - List all verifiers in VOA that match provided identifiers.

SYNOPSIS
voa list [--context] [-v|--verbose]... [-q|--quiet]... [-t|--technology] [-o|--output-format] [-h|--help] <OS> <PURPOSE>

DESCRIPTION
List all verifiers in VOA that match provided identifiers.

By default the "os" and "purpose" identifiers have to be provided for a search. Optionally, the "context" and "technology" identifier can be provided for more fine-grained search results.

OPTIONS

--context <CONTEXT>
    The context to search for. If not specified, defaults to "default".
    May also be specified with the VOA_LIST_CONTEXT environment variable.

-v, --verbose
    Increase logging verbosity

-q, --quiet
    Decrease logging verbosity

-t, --technology <TECHNOLOGY>
    The technology to search for. Currently only "openpgp" is supported. If not specified, defaults to "openpgp".
    May also be specified with the VOA_LIST_TECHNOLOGY environment variable.

-o, --output-format <OUTPUT_FORMAT> [default: text]
    The output format to use.
    Possible values:

    •   json: The JSON output format

    •   text: The default text output format
    May also be specified with the VOA_LIST_OUTPUT_FORMAT environment variable.

-h, --help
    Print help (see a summary with '-h')

<OS>
    The OS to search for.
    May also be specified with the VOA_LIST_OS environment variable.

<PURPOSE>
    The purpose to search for.
    May also be specified with the VOA_LIST_PURPOSE environment variable.